Subject: Re: bug#39307: 28.0.50; gnus does not display mime message correctly

From: Uwe Brauer <[email-masked]>
Date: Fri, 21 Feb 2020 08:58:11 +0100

>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:

   > Uwe Brauer <[email-masked]> writes:
   >> I attach a screenshot of gnus trying to display a mime encoded message.
   >> It looks really bad. This problem did not occur in GNU emacs master
   >> commit 42ba620  form 27 August. I have compiled emacs for a while.
   >> 
   >> I did not change anything in my gnus setting. I will return now to 
   >> the version from 27 August because this way gnus is not usable.

   > Does this happen with multipart/signed articles only?  If so, could you
   > forward one of these messages that Gnus is unable to display?

 Smime signing is ok. What fails is smime signing and encryption!

I reported a similar bug in april: 37025: 27.0.50; smime signing and encryption does not work any longer 

At that time there was a quick fix, namely :

There is however a quick «fix»

       (mml-secure-smime-sign-with-sender nil)
       *did not help*, although I am using smime not opengpg.
       But
       (mml-secure-openpgp-sign-with-sender nil)
       *did help*.

       This should be mentioned in the documentation (NEWS and in the
       relevant doc strings) 

Before it was finally fixed.

This quick fix does not work now. I thought of bisecting the problem,
but I have now time right now, maybe tomorrow night.

I will forward you such a message.